Subject: bug#47040: 27.1; PNG binary transparency is ignored

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 20 Jun 2022 11:46:09 +0200

Stefan Kangas <[email-masked]> writes:

> That was added in commit 8826beaf0066.  I think this if this is
> undefined in your case, I think it could be a problem with your libpng
> build, as Paul alludes to here:
>
>     https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37153#71
>
> As far as I can tell from here,
>
>     https://github.com/mitsuba-renderer/libpng/search?q=PNG_tRNS_SUPPORTED
>
> and here,
>
>     https://github.com/mitsuba-renderer/libpng/blob/master/scripts/pnglibconf.h.prebuilt

If I understand correctly, this means that the bug was in libpng (and
has been fixed there), so there's nothing much to do on the Emacs side
here, and I'm therefore closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no